/*	$OpenBSD: main.c,v 1.1 1999/02/23 23:54:17 art Exp $	*/

/*
 * Public domain - no warranty.
 */
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#ifdef HAVE_SYS_CDEFS_H
#include <sys/cdefs.h>
#endif /* HAVE_SYS_CDEFS_H */
#ifdef HAVE_LIBGEN_H	/* for declaration of basename() on some systems */
#include <libgen.h>
#endif /* HAVE_LIBGEN_H */
#include <string.h>

#ifndef __P
#define __P(x) x
#endif /* !__P */

int ls_main __P((int argc, char **argv));

#ifndef HAVE_BASENAME
char *basename(const char *path);
#endif /* !HAVE_BASENAME */

char *progname;

int
main(argc, argv)
	int argc;
	char **argv;
{
	progname = basename(argv[0]);
	return ls_main(argc, argv);
}
